# Class ByteBufferRequestRecord

java.lang.Object
org.apache.zookeeper.server.ByteBufferRequestRecord

All Implemented Interfaces:
  `RequestRecord`

public class ByteBufferRequestRecord extends Object implements RequestRecord

## Constructor Summary

Constructors
Constructor
Description
`ByteBufferRequestRecord(ByteBuffer request)`

## Method Summary

Modifier and Type
Method
Description
`int`
`limit()`
`byte[]`
`readBytes()`
`<T extends Record>
T`
`readRecord(Supplier<T> constructor)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteBufferRequestRecord

public ByteBufferRequestRecord(ByteBuffer request)

## Method Details

### readRecord

public <T extends Record> T readRecord(Supplier<T> constructor) throws IOException

Specified by:
  `readRecord` in interface `RequestRecord`
Throws:
  `IOException`

### readBytes

public byte[] readBytes()

Specified by:
  `readBytes` in interface `RequestRecord`

### limit

public int limit()

Specified by:
  `limit` in interface `RequestRecord`